Skip to main content
POST
Evaluate Trace

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Body

application/json

Request model for trace-based evaluation endpoint

project_name
string
required

Project name (will be created if doesn't exist)

trace
Trace · object
required

Complete trace JSON data (with messages, spans, retrievals)

metrics
string[]
required

Metric keys to compute

run_name
string | null

Optional run name

config
Config · object | null

Evaluation configuration

metadata
Metadata · object | null

Additional metadata

openai_api_key
string | null

Optional OpenAI key override

Response

Successful Response

Response model for evaluation endpoint

run_id
string
required
project_id
string
required
status
string
required
total_items
integer
required
evaluated_items
integer
required
overall_score
number | null
required
aggregate_scores
Aggregate Scores · object
required
metadata
Metadata · object
required